---
molecule:
  extends: .base_ansible
  stage: test
  allow_failure: true
  script: |
    echo -e '\033[0;31m' # RED
    echo "⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨"
    echo "⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨 DEPRECATED JOB 🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨"
    echo "In release 1.0.0 this job templates will be remove !"
    echo "Use the new job ${tpl_directory}/job/ansible/role-test.yml"
    echo "⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨⚠️🚨"
    echo -e '\033[0m' # No Color

    docker run --rm \
      -v "$(pwd)":/tmp/$(basename "${PWD}"):ro \
      -v /var/run/docker.sock:/var/run/docker.sock \
      -w /tmp/$(basename "${PWD}") \
      quay.io/ansible/molecule:2.19 \
      sudo molecule test

    false
